Subject: Re: [Sip] Comments on Resource Priority -08 (new labels)

From: [email-masked]
Date: Mon, 6 Jun 2005 15:35:51 EDT

In a message dated 5/29/2005 6:08:13 PM Eastern Daylight Time, 
[email-masked] writes:

> I'm happy to use SHOULD NOT, but I believe the MUST NOT reflected 
> working group consensus, given that specs issues by the IETF have the 
> obligation to avoid interoperability issues. A "SHOULD NOT" would only 
> make sense, I believe, if we were to state when and where such additions 
> are "safe". Just leaving the implementor, IANA and future standardizers 
> with a vague "yellow flag" (SHOULD NOT) seems imprudent.
> 
> Earlier drafts had more unknown-namespace handling, so this might now 
> have become simpler. Adding a new value in a namespace could, however, 
> cause problems, for example, if a proxy ignored the namespace/priority 
> value as being unknown, while a UAS relied on the proxy to have 
> authenticated and authorized the request. That seems brittle.
> 
> In other words, before allowing a change, we need to understand whether 
> this requires special care in IANA registration. If additions are 
> allowed, we may have to change the proxy behavior description to be more 
> picky for known namespaces and unknown labels. This error condition 
> cannot occur at the moment.
> 

Whether or not additions to namespaces are allowed, there must still be the 
same complexity of defining how unknown priority values are handled.

Yes, adding a priority value could cause problems, but that is the concern of 
the organization using that namespace. There can not be an RFC that says the 
US Defense Department can't ever add a 6th precedence level to its DSN. No one 
else should care. (Remember that a 6th level was added to the DRSN somewhat 
recently.)

Mike Pierce
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "David R. Oran" <[email-masked]>
Date: Mon, 6 Jun 2005 15:51:21 -0400

On Jun 6, 2005, at 3:35 PM, [email-masked] wrote:

> Whether or not additions to namespaces are allowed, there must  
> still be the same complexity of defining how unknown priority  
> values are handled.
>
> Yes, adding a priority value could cause problems, but that is the  
> concern of the organization using that namespace. There can not be  
> an RFC that says the US Defense Department can't ever add a 6th  
> precedence level to its DSN.
It doesn't say that, I don't think. It says that since the DSN  
namespace is registered with IANA and it has certain properties, If  
those properties change the IANA registration either has to change,  
or at least some IETF-sanctioned expert review should determine if  
the change is safe. Seems perfectly appropriate and such language is  
used for all sorts of IANA registrations by non-IETF groups. There's  
nothing special about the U.S. DoD in that sense.

> No one else should care. (Remember that a 6th level was added to  
> the DRSN somewhat recently.)
>
An implementer building a product engineered to work with multiple  
namespaces MIGHT care, depending on the nature of the change.

Dave.